FUNCTION OPERATOR==(3)

NAME
boost::logic::operator== - Compare tribools for equality.

SYNOPSIS

// In header: <boost/logic/tribool.hpp>
tribool operator==(tribool x, tribool y);
tribool operator==(tribool x, bool y);
tribool operator==(bool x, tribool y);
tribool operator==(indeterminate_keyword_t, tribool x);
tribool operator==(tribool x, indeterminate_keyword_t);

DESCRIPTION

Returns:
    the result of comparing two tribool values, according to the following table:
    == | false | true | indeterminate
    false | true | false | indeterminate
    true | false | true | indeterminate
    indeterminate | indeterminate | indeterminate | indeterminate

Throws:
    Will not throw.